## org.jCharts.imageMap
Class CircleMapArea

    java.lang.Object
      org.jCharts.imageMap.ImageMapArea
          org.jCharts.imageMap.CircleMapArea

All Implemented Interfaces:
  Serializable

    public final class CircleMapArea

extends ImageMapArea
implements Serializable

See Also:
  Serialized Form

Field Summary
`private int` `radius`

Fields inherited from class org.jCharts.imageMap.ImageMapArea
`x, y`

Constructor Summary
`CircleMapArea(float x, float y, double value, String xAxisLabel, String legendLabel)`
`CircleMapArea(float x, float y, Point2D.Double value, String legendLabel)`

Method Summary
`AreaShape` `getAreaShape()`
`protected void` `getCoordinates(StringBuffer html)` Appends the coordinates to the passed html buffer.
`void` `setRadius(int radius)` Allows user to specify the radius for each circle

Methods inherited from class org.jCharts.imageMap.ImageMapArea
`getLengendLabel, getNumberOfCoordinates, getValue, getXAxisLabel, getXCoordinate, getYCoordinate, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### radius

    private int radius

Constructor Detail

### CircleMapArea

    public CircleMapArea(float x,
                         float y,
                         double value,
                         String xAxisLabel,
                         String legendLabel)

Parameters:
  `x` -
  `y` -
  `value` -
  `xAxisLabel` -
  `legendLabel` -

### CircleMapArea

    public CircleMapArea(float x,
                         float y,
                         Point2D.Double value,
                         String legendLabel)

Parameters:
  `x` -
  `y` -
  `value` -
  `legendLabel` -

Method Detail

### getAreaShape

    public AreaShape getAreaShape()

  Specified by:
    `getAreaShape` in class `ImageMapArea`
  Returns:
    AreaShape

### setRadius

    public void setRadius(int radius)

  Allows user to specify the radius for each circle

  Parameters:
    `radius` -

### getCoordinates

    protected void getCoordinates(StringBuffer html)

  Description copied from class: `ImageMapArea`
  Appends the coordinates to the passed html buffer. This is needed to facilitate the 'circle' map areas 'radius' value.

  Overrides:
    `getCoordinates` in class `ImageMapArea`
  Parameters:
    `html` - pass a reference to the StringBuffer so I can minimize Object creation